| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | Private Attributes

# IG::Num::Func3d2dExamples::ParametricSurface Class Reference

Base class for easy definition of parametric surfaces intended for plotting. More...

Inheritance diagram for IG::Num::Func3d2dExamples::ParametricSurface:
[legend]
Collaboration diagram for IG::Num::Func3d2dExamples::ParametricSurface:
[legend]

List of all members.

## Public Member Functions
void | SetBounds (double minX, double maxX, double minY, double maxY)
| Sets the bounds.
void | SetNumPoints (int numX, int numY)
| Sets recommended number of plot points along parameter curves.
override double | Value1 (double x, double y)
| Calculates and returns value of the first component of the current function.
override double | Value2 (double x, double y)
| Calculates and returns value of the second component of the current function.
override double | Value3 (double x, double y)
| Calculates and returns value of the third component of the current function.
## Protected Member Functions
| ParametricSurface ()
| Base class for classes that define various parametric surfaces.
| ParametricSurface (double minX, double maxX, double minY, double maxY)
| Base class for classes that define various parametric surfaces.
abstract double | f1 (double u, double v)
abstract double | f2 (double u, double v)
abstract double | f3 (double u, double v)
## Properties
double | MinX`[get, set]`
| Minimal value of the first parameter.
double | MaxX`[get, set]`
| Maximal value of the first parameter.
double | MinY`[get, set]`
| Minimal value of the second parameter.
double | MaxY`[get, set]`
| Maximal value of the second parameter.
int | NumX`[get, set]`
| Recommended number of points along the first parameter used to plot the surface.
int | NumY`[get, set]`
| Recommended number of points along the second parameter used to plot the surface.
## Private Attributes
double | _minX = -1
double | _maxX = 1
double | _minY = -1
double | _maxY = 1
int | _numx = 20
int | _numy = 20

## Detailed Description

Base class for easy definition of parametric surfaces intended for plotting.

$A Igor Oct09;

## Constructor & Destructor Documentation

IG::Num::Func3d2dExamples::ParametricSurface::ParametricSurface | ( |  | ) | `[inline, protected]`

Base class for classes that define various parametric surfaces.

IG::Num::Func3d2dExamples::ParametricSurface::ParametricSurface | ( | double | minX,
|  | double | maxX,
|  | double | minY,
|  | double | maxY
| ) |  | `[inline, protected]`

Base class for classes that define various parametric surfaces.

## Member Function Documentation

void IG::Num::Func3d2dExamples::ParametricSurface::SetBounds | ( | double | minX,
|  | double | maxX,
|  | double | minY,
|  | double | maxY
| ) |  | `[inline]`

Sets the bounds.

Parameters:

  minX | Lower bound of the first parameter.
  maxX | Upper bound of the first parameter.
  minY | Lower bound of the first parameter.
  maxY | Upper bound of the second parameter.

void IG::Num::Func3d2dExamples::ParametricSurface::SetNumPoints | ( | int | numX,
|  | int | numY
| ) |  | `[inline]`

Sets recommended number of plot points along parameter curves.

Parameters:

  numX | Recommended number of plot points alog the first parameter.
  numY | Recommended number of plot points alog the second parameter.

abstract double IG::Num::Func3d2dExamples::ParametricSurface::f1 | ( | double | u,
|  | double | v
| ) |  | `[protected, pure virtual]`

Implemented in IG::Num::Func3d2dExamples::Surface, IG::Num::Func3d2dExamples::CylinderParametric, IG::Num::Func3d2dExamples::EllipsoidParametric, IG::Num::Func3d2dExamples::HyperboloidTwosheetedUpperParametric, IG::Num::Func3d2dExamples::HyperboloidTwosheetedLowerParametric, IG::Num::Func3d2dExamples::HyperboloidParametric, IG::Num::Func3d2dExamples::HyperboloidParametric2, IG::Num::Func3d2dExamples::HyperboloidParametricPlus, IG::Num::Func3d2dExamples::HyperboloidParametricMinus, IG::Num::Func3d2dExamples::Torus, IG::Num::Func3d2dExamples::TorusHorizontal, IG::Num::Func3d2dExamples::TorusVertical, IG::Num::Func3d2dExamples::EnneperSurface, IG::Num::Func3d2dExamples::MobiusStrip, IG::Num::Func3d2dExamples::UmbilicTorus, IG::Num::Func3d2dExamples::KleinBottle, IG::Num::Func3d2dExamples::KleinBottle1, IG::Num::Func3d2dExamples::KleinBottle2, IG::Num::Func3d2dExamples::SnailConicSpiral_ToCheck, IG::Num::Func3d2dExamples::SnailShell1, and IG::Num::Func3d2dExamples::SnailShell1Streched.

abstract double IG::Num::Func3d2dExamples::ParametricSurface::f2 | ( | double | u,
|  | double | v
| ) |  | `[protected, pure virtual]`

Implemented in IG::Num::Func3d2dExamples::Surface, IG::Num::Func3d2dExamples::CylinderParametric, IG::Num::Func3d2dExamples::EllipsoidParametric, IG::Num::Func3d2dExamples::HyperboloidTwosheetedUpperParametric, IG::Num::Func3d2dExamples::HyperboloidTwosheetedLowerParametric, IG::Num::Func3d2dExamples::HyperboloidParametric, IG::Num::Func3d2dExamples::HyperboloidParametric2, IG::Num::Func3d2dExamples::HyperboloidParametricPlus, IG::Num::Func3d2dExamples::HyperboloidParametricMinus, IG::Num::Func3d2dExamples::Torus, IG::Num::Func3d2dExamples::TorusHorizontal, IG::Num::Func3d2dExamples::TorusVertical, IG::Num::Func3d2dExamples::EnneperSurface, IG::Num::Func3d2dExamples::MobiusStrip, IG::Num::Func3d2dExamples::UmbilicTorus, IG::Num::Func3d2dExamples::KleinBottle, IG::Num::Func3d2dExamples::KleinBottle1, IG::Num::Func3d2dExamples::KleinBottle2, IG::Num::Func3d2dExamples::SnailConicSpiral_ToCheck, IG::Num::Func3d2dExamples::SnailShell1, and IG::Num::Func3d2dExamples::SnailShell1Streched.

abstract double IG::Num::Func3d2dExamples::ParametricSurface::f3 | ( | double | u,
|  | double | v
| ) |  | `[protected, pure virtual]`

Implemented in IG::Num::Func3d2dExamples::SaddleXY, IG::Num::Func3d2dExamples::HyperbolicParabolloid, IG::Num::Func3d2dExamples::Parabolloid, IG::Num::Func3d2dExamples::CylinderParametric, IG::Num::Func3d2dExamples::EllipsoidParametric, IG::Num::Func3d2dExamples::HyperboloidTwosheetedUpperParametric, IG::Num::Func3d2dExamples::HyperboloidTwosheetedLowerParametric, IG::Num::Func3d2dExamples::HyperboloidParametric, IG::Num::Func3d2dExamples::HyperboloidParametric2, IG::Num::Func3d2dExamples::HyperboloidParametricPlus, IG::Num::Func3d2dExamples::HyperboloidParametricMinus, IG::Num::Func3d2dExamples::Torus, IG::Num::Func3d2dExamples::TorusHorizontal, IG::Num::Func3d2dExamples::TorusVertical, IG::Num::Func3d2dExamples::EnneperSurface, IG::Num::Func3d2dExamples::MobiusStrip, IG::Num::Func3d2dExamples::UmbilicTorus, IG::Num::Func3d2dExamples::KleinBottle, IG::Num::Func3d2dExamples::KleinBottle1, IG::Num::Func3d2dExamples::KleinBottle2, IG::Num::Func3d2dExamples::SnailConicSpiral_ToCheck, IG::Num::Func3d2dExamples::SnailShell1, and IG::Num::Func3d2dExamples::SnailShell1Streched.

override double IG::Num::Func3d2dExamples::ParametricSurface::Value1 | ( | double | x,
|  | double | y
| ) |  | `[inline]`

Calculates and returns value of the first component of the current function.

Parameters:

  x | First parameter.
  y | Second parameter.

Implements IG::Num::IFunc3d2d.

override double IG::Num::Func3d2dExamples::ParametricSurface::Value2 | ( | double | x,
|  | double | y
| ) |  | `[inline]`

Calculates and returns value of the second component of the current function.

Parameters:

  x | First parameter.
  y | Second parameter.

Implements IG::Num::IFunc3d2d.

override double IG::Num::Func3d2dExamples::ParametricSurface::Value3 | ( | double | x,
|  | double | y
| ) |  | `[inline]`

Calculates and returns value of the third component of the current function.

Parameters:

  x | First parameter.
  y | Second parameter.

Implements IG::Num::IFunc3d2d.

## Member Data Documentation

double IG::Num::Func3d2dExamples::ParametricSurface::_minX = -1`[private]`

double IG::Num::Func3d2dExamples::ParametricSurface::_maxX = 1`[private]`

double IG::Num::Func3d2dExamples::ParametricSurface::_minY = -1`[private]`

double IG::Num::Func3d2dExamples::ParametricSurface::_maxY = 1`[private]`

int IG::Num::Func3d2dExamples::ParametricSurface::_numx = 20`[private]`

int IG::Num::Func3d2dExamples::ParametricSurface::_numy = 20`[private]`

## Property Documentation

double IG::Num::Func3d2dExamples::ParametricSurface::MinX`[get, set]`

Minimal value of the first parameter.

double IG::Num::Func3d2dExamples::ParametricSurface::MaxX`[get, set]`

Maximal value of the first parameter.

double IG::Num::Func3d2dExamples::ParametricSurface::MinY`[get, set]`

Minimal value of the second parameter.

double IG::Num::Func3d2dExamples::ParametricSurface::MaxY`[get, set]`

Maximal value of the second parameter.

int IG::Num::Func3d2dExamples::ParametricSurface::NumX`[get, set]`

Recommended number of points along the first parameter used to plot the surface.

int IG::Num::Func3d2dExamples::ParametricSurface::NumY`[get, set]`

Recommended number of points along the second parameter used to plot the surface.

The documentation for this class was generated from the following file:

- Function3d2d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events